(function ($) {

    $('#xero-send-invoice, #xero-send-invoice-payment').on('click', function (e) {
        e.preventDefault();

        var xero_invoice = $(this).data('id');
        var xero_type = $(this).data('call');

        if (null !== xero_invoice && null !== xero_type) {
            xero_send_invoice(xero_invoice, xero_type);
        }
    });

    if ($('input[name="use_extra_sales_account"]').length) {
        var checked_value = $('input[name="use_extra_sales_account"]:checked').val();
        $('.' + checked_value).toggle();
    }

    $('input[name="use_extra_sales_account"]').on('change', function () {
        $('.xeroom_use_extra_sales_accounts').children().hide();
        var to_display = $('.' + $(this).val());

        $(to_display).toggle();
    });

    if ($('input[name="xeroom_tax_method"]').length) {
        var checked_value = $('input[name="xeroom_tax_method"]:checked').val();
        $('.xero_tax_methods_content').find('.xero_inputdiv').hide();

        if ('xero_complex_tax' == checked_value) {
            $('.xero_tax_methods_content').find('.xero_label').css({'text-align': 'left', 'width': '100%'});
        }

        $('.' + checked_value).show();
    }

    $('input[name="xeroom_tax_method"]').on('change', function () {
        $('.xero_tax_methods_content').find('.xero_inputdiv').hide();
        var to_display = $('.' + $(this).val());

        if ('xero_complex_tax' == $(this).val()) {
            $('.xero_tax_methods_content').find('.xero_label').css({'text-align': 'left', 'width': '100%'});
        } else {
            $('.xero_tax_methods_content').find('.xero_label').removeAttr('style');
        }

        $(to_display).toggle();
    });

    if ($('.xeroom-select').length > 0) {
        $('.xeroom-select').select2();
    }

})(jQuery);

function xero_send_invoice(invoice, call_type) {
    jQuery.ajax({
        type: 'POST',
        url: xero_ajax_object.xeroajax,
        data: {
            invoice: invoice,
            call_type: call_type,
            nonce: xero_ajax_object.nonce,
            action: 'xero_send_invoice'
        },
        success: function (data) {
            alert(data);
        }
    });
}
